View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
17649Bug reportsOtherpublic2021-11-02 09:06
Reporterifrass Assigned Toollehar  
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version5.x 
Summary17649: White page by deleting a participant in a survey
DescriptionBy deleting a participant in a survey, a white page is displayed.
Need to change URL to access to limesurvey.
Steps To ReproduceSteps to reproduce
------------------------------
Survey participants
Display participants
(Choose a participant to delete)
click on the garbage can icone.

Expected result
-------------------------
The list of participants, updated

Actual result
-----------------
White html page (html source code is empty)

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)5.1.14+210927
I will donate to the project if issue is resolvedNo
BrowserFirefox
Database type & versionMariaDB 10.3.29
Server OS (if known)Debian 10 Buster
Webserver software & version (if known)Apache 2.4.38
PHP Version7.3.29

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

ollehar

ollehar

2021-10-05 10:39

administrator   ~66746

Can you try this with debug => 2 in config.php, please? Give us the full error message.
ollehar

ollehar

2021-10-05 12:02

administrator   ~66747

Last edited: 2021-10-05 14:37

Can reproduce.
ifrass

ifrass

2021-10-05 12:29

reporter   ~66748

Last edited: 2021-10-05 14:37

By putting debug =>2 in config.php, there is no error message. HTML page is a white page
ollehar

ollehar

2021-10-05 12:30

administrator   ~66749

Last edited: 2021-10-05 14:37

Yes, I could reproduce it. We'll fix it. The participant seems to be deleted, but you have to click the back button in the browser manually.
ollehar

ollehar

2021-10-05 15:36

administrator   ~66750

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32777

Related Changesets

LimeSurvey: master 22efd40e

2021-10-05 15:34:03

ollehar

Details Diff
Fixed issue 17649: White page by deleting a participant in a survey

Add missing redirect (function no longer called via Ajax but with form POST)
Affected Issues
17649
mod - application/controllers/admin/tokens.php Diff File

Issue History

Date Modified Username Field Change
2021-10-05 10:28 ifrass New Issue
2021-10-05 10:39 ollehar Note Added: 66746
2021-10-05 10:39 ollehar Bug heat 0 => 2
2021-10-05 11:35 ollehar Assigned To => ollehar
2021-10-05 11:35 ollehar Status new => feedback
2021-10-05 12:02 ollehar Status feedback => confirmed
2021-10-05 12:02 ollehar Note Added: 66747
2021-10-05 12:29 ifrass Note Added: 66748
2021-10-05 12:29 ifrass Bug heat 2 => 4
2021-10-05 12:30 ollehar Note Added: 66749
2021-10-05 14:37 JHoeck Assigned To ollehar => JHoeck
2021-10-05 15:36 ollehar Changeset attached => LimeSurvey master 22efd40e
2021-10-05 15:36 ollehar Note Added: 66750
2021-10-05 15:36 ollehar Assigned To JHoeck => ollehar
2021-10-05 15:36 ollehar Resolution open => fixed
2021-10-05 15:45 ollehar Status confirmed => testing
2021-10-11 09:45 ollehar Status testing => resolved
2021-11-02 09:06 c_schmitz Status resolved => closed